Bug 518089 - [LTC 5.5 FEAT] kvm hpet support [202011]
Summary: [LTC 5.5 FEAT] kvm hpet support [202011]
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.5
Hardware: All
OS: All
high
high
Target Milestone: beta
: 5.5
Assignee: Eduardo Habkost
QA Contact: Lawrence Lim
URL:
Whiteboard:
Depends On:
Blocks: 481160
TreeView+ depends on / blocked
 
Reported: 2009-08-18 20:30 UTC by IBM Bug Proxy
Modified: 2014-03-26 01:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-07 12:19:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
IBM Linux Technology Center 55531 0 None None None Never

Description IBM Bug Proxy 2009-08-18 20:30:33 UTC
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[202011]
a. Name of Feature:	kvm hpet support
b. Feature Description
Add hpet emulation to qemu and kvm

2. Feature Details:
Sponsor:	LTC
Architectures:
x86
x86_64

Arch Specificity: Both
Affects Kernel Modules: Yes
Delivery Mechanism: Backport
Category:	Xen
Request Type:	Package - New
d. Upstream Acceptance:	Accepted
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	kvm-88, qemu

3. Business Case
Provide higher resolution timer to KVM guests.  HPET emulation provides more accurate and faster
timers for guest resulting in higher performance and better timer latency for certain workloads in
guests.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):
Ryan Harper, raharper@us.ibm.com

IBM Manager:
Warren Grunbok II, grunbok@us.ibm.com

Comment 2 IBM Bug Proxy 2009-09-21 16:20:30 UTC
------- Comment From bkon@us.ibm.com 2009-09-21 12:19 EDT-------
The following commits are needed to enable hpet capability:

kernel:
PIT support for HPET legacy
http://article.gmane.org/gmane.comp.emulators.kvm.scm/3982/match=hpet

required pit_state fix
http://article.gmane.org/gmane.comp.emulators.kvm.scm/4160/match=tosatti

qemu-kvm:
HPET support
http://article.gmane.org/gmane.comp.emulators.kvm.scm/3978/match=hpet

irq0->inti2 override capability
http://article.gmane.org/gmane.comp.emulators.kvm.scm/3976/match=override

bios:
HPET support
http://article.gmane.org/gmane.comp.emulators.kvm.scm/3974/match=hpet

irq0->inti2 override capability
http://article.gmane.org/gmane.comp.emulators.kvm.scm/3977/match=hpet

Comment 3 IBM Bug Proxy 2009-09-28 15:50:37 UTC
------- Comment From rsisk@us.ibm.com 2009-09-28 11:43 EDT-------
This bugzilla will track the following two parts of the original request. The first part will be changes to the qemu component of qemu-kvm and the second part is changes to the qemu bios component of qemu-kvm.  The kernel portion of the original request has been moved to LTC-BZ 56431 / RH-BZ 525521.

Comment 4 Eduardo Habkost 2009-10-06 21:14:44 UTC
Is there any ongoing work to backport those patches? I am taking a look on them, but I don't want to duplicate efforts.

Comment 5 IBM Bug Proxy 2009-10-07 11:30:59 UTC
------- Comment From bkon@us.ibm.com 2009-10-07 07:22 EDT-------
After realizing that the required base kernel capabilities needed to effectively utilize HPET are not present in 2.6.18, we've decided to drop this feature request.

------- Comment From bkon@us.ibm.com 2009-10-07 07:23 EDT-------
I should have mentioned the base kernel capabilities... dynticks and clockevents.

Comment 6 John Jarvis 2009-10-07 12:19:27 UTC
Closing WONTFIX to match IBM status


Note You need to log in before you can comment on or make changes to this bug.